[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Discuss-gnuradio] gfortran-4.2.1 build 5666.3 for Xcode 4.0.2 on Ma

From: Elvis Dowson
Subject: Re: [Discuss-gnuradio] gfortran-4.2.1 build 5666.3 for Xcode 4.0.2 on Mac OS X 10.6.7
Date: Sun, 29 May 2011 01:19:43 +0400

Hi Alex,

On May 29, 2011, at 1:04 AM, Alexandru Csete wrote:
> Can you see which package requires fortran?
> It sounds like a false dependency and if there actually is something
> that requires fortran it might not be important.
> I looked through my config.log file but the only place where I see
> reference to fortran is where gcc reports that it has been compiled
> with fortran support.

The package that requires fortran is numpy. 


A while back, I got gnuradio-3.3 to compile using gcc-4.0.1 using Xcode 3.2. 
Now I'm trying to refresh the build, for gnuradio-3.4.0. I've got most of the 
core dependent libraries installed. Just got stuck at the gfortran support. 

I tried to build the apple gcc-5666.3 compile with fortran only support, using 
the following configure options, but got the following error, even though gmp 
is installed.

$ cd gcc-5666.3
$ mkdir -p build/obj build/install
$ ../../configure --disable-checking --enable-werror 
--prefix=/Users/elvis/Tool/gcc-5666.3/build/install --enable-languages=fortran 
--program-transform-name=/^[cg][^.-]*$/s/$/-4.2/ --build=i686-apple-darwin10 
--program-prefix=i686-apple-darwin10- --host=x86_64-apple-darwin10 
--target=i686-apple-darwin10 --with-gmp=/usr/local

checking host system type... x86_64-apple-darwin10
checking target system type... i686-apple-darwin10
checking build system type... i686-apple-darwin10
checking for a BSD compatible install... /usr/bin/install -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for x86_64-apple-darwin10-gnatbind... no
checking for gnatbind... no
checking whether compiler driver understands Ada... no
checking how to compare bootstrapped objects... cmp --ignore-initial=16 $$f1 
checking for correct version of gmp.h... no
configure: error: 
The following requested languages could not be built: fortran
Recognised languages are: c,c++,objc,obj-c++

Elvis Dowson

reply via email to

[Prev in Thread] Current Thread [Next in Thread]